Bug 967499 - gnome-abrt crashes if a new directory problem is invalid
gnome-abrt crashes if a new directory problem is invalid
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:1ca07200e3d7d5336c6211ef25b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 06:00 EDT by Yann Droneaud
Modified: 2016-11-30 19:44 EST (History)
2 users (show)

See Also:
Fixed In Version: abrt-2.1.6-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-03 19:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.30 KB, text/plain)
2013-05-27 06:00 EDT, Yann Droneaud
no flags Details
File: core_backtrace (1.44 KB, text/plain)
2013-05-27 06:00 EDT, Yann Droneaud
no flags Details
File: environ (1.53 KB, text/plain)
2013-05-27 06:00 EDT, Yann Droneaud
no flags Details
File: smolt_data (7.58 KB, text/plain)
2013-05-27 06:00 EDT, Yann Droneaud
no flags Details

  None (edit)
Description Yann Droneaud 2013-05-27 06:00:28 EDT
Version-Release number of selected component:
gnome-abrt-0.2.12-2.fc17

Additional info:
cmdline:        python /usr/bin/gnome-abrt
dso_list:       python-inotify-0.9.4-1.fc17.noarch
executable:     /usr/bin/gnome-abrt
kernel:         3.8.13-100.fc17.x86_64
uid:            1002
ureports_counter: 1

Truncated backtrace:
directory_problems.py:252:get_items:InvalidProblem: Can't open directory: '/home/ydroneaud/.cache/abrt/spool/ccpp-2013-05-16-17:39:10-3814/var_log_messages'

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 69, in dispatch
    self._notifier.process_events()
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 1295, in process_events
    self._default_proc_fun(revent)
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 937, in __call__
    return _ProcessEvent.__call__(self, event)
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 662, in __call__
    return meth(event)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 140, in process_IN_MOVED_TO
    self.source.process_new_problem_id(os.path.join(event.path, event.name))
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 403, in process_new_problem_id
    prblm = self._create_new_problem(problem_id)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 327, in _create_new_problem
    return self._impl()._create_new_problem(problem_id)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 280, in _create_new_problem
    p = problems.Problem(problem_id, self._parent)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 115, in __init__
    self.data = self._get_initial_data(self.source)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 186, in _get_initial_data
    'reason')
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 324, in get_items
    return self._impl().get_items(problem_id, *args)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 252, in get_items
    _("Can't open directory: '{0}'").format(problem_id))
InvalidProblem: Can't open directory: '/home/ydroneaud/.cache/abrt/spool/ccpp-2013-05-16-17:39:10-3814/var_log_messages'

Local variables in innermost frame:
dd: <report.dump_dir object at 0x21ad450>
args: ('component', 'executable', 'time', 'reason')
problem_id: '/home/ydroneaud/.cache/abrt/spool/ccpp-2013-05-16-17:39:10-3814/var_log_messages'
self: <gnome_abrt.directory_problems.InitializedDirectoryProblemSource instance at 0x214d488>
Comment 1 Yann Droneaud 2013-05-27 06:00:32 EDT
Created attachment 753536 [details]
File: backtrace
Comment 2 Yann Droneaud 2013-05-27 06:00:36 EDT
Created attachment 753537 [details]
File: core_backtrace
Comment 3 Yann Droneaud 2013-05-27 06:00:40 EDT
Created attachment 753538 [details]
File: environ
Comment 4 Yann Droneaud 2013-05-27 06:00:45 EDT
Created attachment 753539 [details]
File: smolt_data
Comment 5 Jakub Filak 2013-05-28 10:09:45 EDT
Thank you for the report!


Fixed in upstream git:

commit a04d25bbf75131298277ec97178ca60d40f21ff5
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue May 28 09:53:45 2013 +0200

    Don't crash if a new directory problem is invalid
    
    Closes rhbz#967499
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Richard Marko <rmarko@fedoraproject.org>
Comment 6 Fedora End Of Life 2013-07-04 03:00:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora Update System 2013-07-29 08:14:40 EDT
abrt-2.1.6-2.fc19,gnome-abrt-0.3.0-3.fc19,libreport-2.1.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/abrt-2.1.6-2.fc19,gnome-abrt-0.3.0-3.fc19,libreport-2.1.6-2.fc19
Comment 8 Fedora Update System 2013-07-30 13:48:08 EDT
Package abrt-2.1.6-2.fc19, gnome-abrt-0.3.0-3.fc19, libreport-2.1.6-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.6-2.fc19 gnome-abrt-0.3.0-3.fc19 libreport-2.1.6-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13903/abrt-2.1.6-2.fc19,gnome-abrt-0.3.0-3.fc19,libreport-2.1.6-2.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-08-03 19:56:42 EDT
abrt-2.1.6-2.fc19, gnome-abrt-0.3.0-3.fc19, libreport-2.1.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.